*{
    box-sizing: border-box;
    margin: 0;
}

body{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-color: #373F47;
    gap: 48px;
    font-family:'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

#game-container{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 48px;
}

.card {
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 400px;
    border: 3px solid #ccc;
    border-radius: 8px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    background-color: rgba(0, 0, 0, 0.4);
    color: white;
    padding-bottom: 40px;
    transition: all 125ms ease-in-out;
    cursor: pointer;
}

.card:hover{
    transform: scale(1.1);
    box-shadow: rgba(8, 147, 182, 0.35) 0px 5px 15px;
}

.card__img{
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    width: 100%;
}

.card__name{
    font-size: 32px;
    font-weight: bold;
    padding: 8px;
    padding-inline: 40px;
}

.card__description{
    font-size: 20px;
    padding-inline: 40px;
}


.vs {
    font-size: 48px;
    font-weight: bold;
    color: white;
}

#overview-container{
    display: flex;
    width: 90%;
    flex-wrap: wrap;
    justify-content: center;
    gap: 8px;
}

.episode-status-container{
    position: relative;
    width: 100px;
    height: 100px;
}

.episode-status-container > img{
    width: 100%;
    height: 100%;
}

.episode-status-container > .out-icon{
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
}

h1{
    color:white;
    font-size: 96px;
}

#winner-dialog{
    margin: auto;
    padding: 0;
    color: white;
}

#winner-dialog::backdrop{
    background-color: rgba(0, 0, 0, 0.8);
}

.card-winner{
    background-color: #373F47;
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 400px;
    padding-bottom: 40px;
    transition: all 125ms ease-in-out;

    h2{
        text-align: center;
        font-size: 48px;
    }
}

.control{
    background-color: rgba(0, 0, 0, 0.2);
    padding: 24px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    color: white;

    button {
        box-shadow: 0px 10px 14px -7px #276873;
        background:linear-gradient(to bottom, #599bb3 5%, #408c99 100%);
        background-color:#599bb3;
        border-radius:8px;
        display:inline-block;
        cursor:pointer;
        color:#ffffff;
        font-size:20px;
        font-weight:bold;
        padding:13px 32px;
        text-decoration:none;
        text-shadow:0px 1px 0px #3d768a;
    }
    button:hover {
	    background:linear-gradient(to bottom, #408c99 5%, #599bb3 100%);
	    background-color:#408c99;
    }
    button:active {
	    position:relative;
	    top:1px;
    }

    label, input{
        font-size:20px;
        font-weight:bold;
    }

    input{
        width: 50px;
        text-align: center;
    }

    .control-amount{
        display: flex;
        
        button {
            flex:1;
        }
    }
}

@media (max-width: 1000px) {
    body{
        gap: 16px;
    }
    
    h1{
    font-size: 32px;
    }

    .control{
        padding:8px;

        button{
            font-size:18px;
            padding:8px 8px;
        }

        .control-amount{
           input{
                padding: 4px;
           }
        }
        .control-range{
            display: flex;
            flex-direction: column;
        }
    }

    #game-container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    }

    
    .card {
    width: 200px;
    padding-bottom: 0px;
    }

    .card:hover{
        transform: scale(1.1);
        box-shadow: rgba(8, 147, 182, 0.35) 0px 5px 15px;
    }

    .card__img{
        border-top-left-radius: 8px;
        border-top-right-radius: 8px;
        width: 100%;
    }

    .card__name{
        display: none;
    }

    .card__description{
        display: none;
    }

    .vs {
        font-size: 18px;
        font-weight: bold;
        color: white;
    }

    .card-winner{
    gap: 8px;
    width: 100%;
    padding-bottom: 0px;

    h2{
        font-size: 32px;
    }
}

}